﻿body{
	--header-height:var(--wp--custom--header-height--standard);
	--topheader-height:var(--wp--custom--top-header-height--standard);
}
/*__________________________________________layout one column */
#head{
	position:fixed;
	left:0;
	top:0;
	width:100%;
	z-index:100;
	background-color:var(--wp--custom--header-color--background);
	/*background-color:hsla(var(--wp--custom--header-color--background),0.9);*/
}
#head.menu_width_content .has-global-padding { max-width: var(--wp--style--global--content-size); margin-left:auto; margin-right:auto; }
#head.menu_width_wide .has-global-padding { max-width: var(--wp--style--global--wide-size); margin-left:auto; margin-right:auto; }
#head .has-global-padding{
	position: relative;
	display: -webkit-box;display: -ms-flexbox;display: flex;
	-webkit-box-align: center;-ms-flex-align: center;align-items: center;
	-webkit-transition: all 0.3s ease;-o-transition: all 0.3s ease;transition: all 0.3s ease;
}
#head .has-global-padding{min-height: var(--header-height); }
#topheader .has-global-padding{min-height: var(--topheader-height); }

#head.top>.has-global-padding{min-height: 50px;}
#head.logo_pos_left>.has-global-padding{-webkit-box-pack: end;-ms-flex-pack: end;justify-content: flex-end;}
#head.logo_pos_right>.has-global-padding{-webkit-box-pack: start;-ms-flex-pack: start;justify-content: flex-start;}
#head.logo_pos_center>.has-global-padding{-webkit-box-pack: center;-ms-flex-pack: center;justify-content: center;}

#head.shadow{box-shadow: 0 0 15px rgba(0,0,0,0.5)}
.one-column #head{
	max-width: var(--width-page);
    left: max(calc((100% - var(--width-page))/2),0px);
}
#head { --color-text:var(--wp--custom--header-color--text); --color-headers:var(--wp--custom--header-color--text); --color-link:var(--wp--custom--header-color--link); --color-link-hover:var(--wp--custom--header-color--link-hover); color: var(--color-text)}
.admin-bar #head {top: 32px;}
#logo{
	position:absolute;
	z-index: 5;
}
#head.logo_pos_left #logo{
	left:var(--wp--style--root--padding-left);
	top:calc(var(--header-height) / 2);
	-webkit-transform: translate(0, -50%);-ms-transform: translate(0, -50%);transform: translate(0, -50%);
	max-width: calc(100% - 120px)
}
#head.logo_pos_center #logo{
	left:50%;
	top:calc(var(--header-height) / 2);
		-webkit-transform: translate(-50%, -50%);-ms-transform: translate(-50%, -50%);transform: translate(-50%, -50%);

	text-align: center;
}
#head.logo_pos_right #logo{
	right:var(--wp--style--root--padding-right);
	top:calc(var(--header-height) / 2);
	-webkit-transform: translate(0, -50%);-ms-transform: translate(0, -50%);transform: translate(0, -50%);
}
#logo, #logo *{
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
}
.one-column #head.top #logo {top:-120px;}
.one-column #head.top #topheader {display: none}

#page{
	position:relative;
	display:block;
	max-width:var(--width-page);
	margin:auto;
	padding:calc(var(--topheader-height) + var(--header-height)) 0 0 0;
	background-color: var(--wp--preset--color--background);
}
#pagefix.on::before{content:' ';position:absolute; z-index:5000; top:0; left:0; bottom:0; right:0; background-color:var(--wp--preset--color--primary); opacity: 0.9;}

#topheader {background-color:var(--wp--custom--top-header-color--background); color: var(--wp--custom--top-header-color--text);}
#topheader a{color: var(--wp--custom--top-header-color--link); text-decoration: none}
#topheader a:hover;{color: var(--wp--custom--top-header-color--link-hover)}
#topheader input{--color-text:var(--wp--custom--top-header-color--text); margin-bottom: 0}
#topheader .baseicon{margin: 0 0 0 1px}
#header-01, #header-02{padding: 0 }
#topheader p{margin: 0}
/*#header-01 :last-child, #header-02 :last-child{margin-bottom: 0}*/
#header-02 {text-align: right; margin-left: auto;}
#header-02 .widget_block{display: flex;}
#topheader .widget_nav_menu ul{margin:0 -15px}
#topheader .widget_nav_menu li {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    padding: 0;
}
#topheader .widget_nav_menu li a{display: block; margin: 0;padding:10px 15px;}

#cart{display: none}
#cart[data-count]{display: inline-block;}
#cart{position: relative;}
#cart.new-filled a { background-color:var(--wp--preset--color--secondary);}
#cart[data-count]::after{content: attr(data-count);
    position: absolute;
    top: -0.5em;
    right: -0.5em;
    background: #FFF;
    padding: 0.5em 1em;
    font-size: 0.5rem; box-shadow: 0 0 0.5em rgba(0,0,0,0.5);
	pointer-events: none;}

#footer {background-color:var(--wp--custom--top-header-color--background); color: var(--wp--custom--top-header-color--text); padding-top: 2em; padding-bottom: 2em;}
#footer a{color: var(--wp--custom--top-header-color--link)}
#footer a:hover;{color: var(--wp--custom--top-header-color--link-hover)}
#footer input{--color-text:var(--wp--custom--top-header-color--text); margin-bottom: 0}
#navfooter {
    margin-top: 4em;
    list-style: none;
    margin: 2em 0 0 0;
    padding: 0;
    display: flex;
    gap: 3em;
    flex-wrap: wrap;
}

#scrolltop{
	display:block;
	position:fixed;
	bottom:-60px;
	right:20px;
	z-index: 1000;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
}
#layer-modal {position: absolute; width: 100%; min-height: 100vh; display: -webkit-box;  display: -ms-flexbox;  display: flex;  -webkit-box-pack: center;  -ms-flex-pack: center;  justify-content: center;  -webkit-box-align: center;  -ms-flex-align: center;  align-items: center;}
#modal-content{background-color: var(--wp--preset--color--background); box-shadow: 0 1em 2em -1em rgba(0,0,0,0.5); max-width: 100%}

#closeModal{position: fixed; right: 1em; top:1em; font-size: 1.5rem; padding: 0}
#closeModal .baseicon{box-shadow:0 0.25em 0.75em  rgba(0,0,0,0.75)}
/*__________________________________________layout two columns */
.two-column #container{
	position:relative;
	max-width:var(--width-page);
	margin:auto;
	background-color: var(--color-content-bg);
}
.two-column #pagewrap{
	position:relative;
	float: left;
	width: 80%;
	width: calc(100% - var(--leftmenu-width));
}
.two-column #page{padding: 0}
.two-column #head{
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	z-index: 1000;
	float: left;
	width: 20%;
	width: var(--leftmenu-width);
	min-height: 100vh;
	background-color: var(--wp--custom--header-color--background);
	padding:0 0 30px 0;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
}

.two-column #logo{
	position:absolute;
	left:50px;
	top:20px;
}
.two-column nav#column{
	position:relative;
	padding-top:150px;
}
.two-column #navigation {
    text-align: left;
}

/*__________________________________________________________________menu___column*/

ul#columnmenu, ul#columnmenu ul {
	position:relative;
	padding:0;
	list-style-type: none;
	list-style-position:outside;
	margin:0;
	padding:0;
}
ul#columnmenu li {
position:relative;
margin:0 0 0 20px;
}
ul#columnmenu li:hover > ul, ul#columnmenu li.current-page-parent > ul {
	max-height:1000px;
	overflow:visible;
	visibility: visible;
	opacity: 1;
}
ul#columnmenu li:hover > a, ul#columnmenu li.current-page-parent > a, ul#columnmenu li.current_page_item > a {
	color:var(--color-link-hover);
}
ul#columnmenu li > a {padding: 5px 0; display: block}
ul#columnmenu ul {
	max-height:0;
	overflow:hidden;
	-webkit-transition: max-height 0.5s ease-in-out 1s, visibility 0s ease 1s, opacity 0.5s ease 1s;
	-moz-transition: max-height 0.5s ease-in-out 1s, visibility 0s ease 1s, opacity 0.5s ease 1s;
	-ms-transition: max-height 0.5s ease-in-out 1s, visibility 0s ease 1s, opacity 0.5s ease 1s;
	-o-transition: max-height 0.5s ease-in-out 1s, visibility 0s ease 1s, opacity 0.5s ease 1s;
	transition: max-height 0.5s ease-in-out 1s, visibility 0s ease 1s, opacity 0.5s ease 1s;
	visibility: hidden;
	opacity: 0;
}
/*__________________________________________________________________menu___top*/
#menu {
	position:relative;
	display:block;
	margin:0;

	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
}
#head.logo_pos_left ul#nav {margin-right: -1em}
#head.logo_pos_center #menu {
	padding:150px 0 15px 0;
	text-align:center;
}
#head.logo_pos_center ul#nav {text-align: center;}
#head.logo_pos_right ul#nav {margin-left: -1em}

#menuhead { display:none; }

ul#nav a {
	display:block;
	font-size:1em;
	line-height: 1.25em;
	color: var(--color-link);
	margin:0;
	padding:1em;
}
ul#nav a:hover, ul#nav .current-page-ancestor>a, ul#nav .current-menu-ancestor>a, ul#nav .current_page_item>a{color: var(--color-link-hover);}

ul#nav {
	position: relative;
/*	width:100%;*/
	list-style: none;
	margin: 0;
	padding: 0;
}
ul#nav li {
	position: relative;
	display:inline-block;
	z-index:auto;
	cursor: default;
	min-height: 1px;
	list-style: none;
	margin: 0;
	padding: 0;
}

ul#nav li:hover {
}
ul#nav li::before { position:absolute; content: ""; display:none;}
ul#nav ul {
	position: absolute;
	max-height:0;
	overflow:hidden;
	-webkit-transition: all 0.2s ease-in-out;
	-moz-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;

	top: 100%;
	left: 0;
	z-index:155;
	background:var(--wp--custom--header-color--background);
	padding:0;
	margin:0 0 0 0;
}
ul#nav ul a {
	display:block;
	white-space:nowrap;
}
ul#nav ul li { display:block; float: none; padding:0; }
ul#nav ul li a{
	margin:0;
	padding:0.5em 1em;
}
ul#nav ul ul {
	top: -10px;
	left: 99%;
	min-width:150px;
}
ul#nav li:hover > ul, ul#nav a:focus+ul, ul#nav li:focus-within > ul {
	padding:10px 0;
	max-height:1500px;
	overflow:visible;
}


@media(max-width:768px){
	.is-stacked-on-mobile :is(.wp-block-cover .wp-block-cover__image-background, .wp-block-cover video.wp-block-cover__video-background, .wp-block-cover-image .wp-block-cover__image-background, .wp-block-cover-image video.wp-block-cover__video-background){
		height: 50%;
	}
	.is-stacked-on-mobile :is(.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-top-right .wp-block-cover__inner-container, .wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-center-right .wp-block-cover__inner-container, .wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-bottom-right .wp-block-cover__inner-container,
	.wp-block-cover-image.has-custom-content-position.has-custom-content-position .wp-block-cover__inner-container, .wp-block-cover.has-custom-content-position.has-custom-content-position .wp-block-cover__inner-container) {
    position: absolute;
    margin: 0;
    width: auto;
    top: 50%;
	}
	.is-stacked-on-mobile :is(.wp-block-cover-image.is-position-center-right, .wp-block-cover.is-position-center-right, 
	.wp-block-cover-image.is-position-center-left, .wp-block-cover.is-position-center-left, 
	.wp-block-cover-image.is-position-bottom-right, .wp-block-cover.is-position-bottom-right,
	.wp-block-cover-image.is-position-bottom-left, .wp-block-cover.is-position-bottom-left)  {align-items: center; justify-content: center;}

	.is-stacked-on-mobile .wp-block-cover__inner-container{ box-shadow:none !important }
}